- NAME
- SYNOPSIS
- FUNCTION DESCRIPTIONS

- GetMagickCopyright
- GetMagickHomeURL
- GetMagickPackageName
- GetMagickQuantumDepth
- GetMagickReleaseDate
- GetMagickVersion

# NAME

version - Get Version and Copyright

# SYNOPSIS

const char * GetMagickCopyright( void );

char * GetMagickHomeURL( void );

const char * GetMagickQuantumDepth( unsigned long *depth );

const char * GetMagickReleaseDate( void );

const char * GetMagickVersion( unsigned long *version );

# FUNCTION DESCRIPTIONS

## GetMagickCopyright

> GetMagickCopyright() returns the ImageMagick API copyright as a string.

The format of the GetMagickCopyright method is:

> const char *GetMagickCopyright ( void );

## GetMagickHomeURL

> GetMagickHomeURL() returns the ImageMagick home URL.

The format of the GetMagickHomeURL method is:

> char *GetMagickHomeURL ( void );

## GetMagickPackageName

> GetMagickPackageName() returns the ImageMagick package name.

The format of the GetMagickName method is:

        const char *GetMagickName(void)

No parameters are required.

## GetMagickQuantumDepth

> GetMagickQuantumDepth() returns the ImageMagick quantum depth.

The format of the GetMagickQuantumDepth method is:

> const char *GetMagickQuantumDepth ( unsigned long *depth );

A description of each parameter follows:

depth:
  The quantum depth is returned as a number.

## GetMagickReleaseDate

> GetMagickReleaseDate() returns the ImageMagick release date.

The format of the GetMagickReleaseDate method is:

> const char *GetMagickReleaseDate ( void );

No parameters are required.

## GetMagickVersion

> GetMagickVersion() returns the ImageMagick API version as a string and as a number.

The format of the GetMagickVersion method is:

> const char *GetMagickVersion ( unsigned long *version );

A description of each parameter follows:

version:
  The ImageMagick version is returned as a number.

"Image manipulation software that works like magick"